# PlebDevs ⚡️

A one-of-a-kind developer education, content, and community platform built on Nostr and fully Lightning integrated.
<br />[https://plebdevs.com](https://plebdevs.com)

## Overview

PlebDevs is an open-source platform that combines educational content, community interaction, and Bitcoin/Lightning integration. The platform publishes content to Nostr and actively pulls from Nostr relays, creating a distributed, interoperable, trail of Documents, Videos, and Courses.

## Key Features

- ☁️ **Content Distribution**: All content is published to Nostr and pulled from Nostr relays
- 📝 **Content Types**:
  - Documents: Markdown documents posted as NIP-23 long-form events
  - Video: Formatted markdown documents with rich media support, including embedded videos, also posted as NIP-23 events
  - Courses: Nostr lists (NIP-51) that combines multiple documents and videos into a structured learning path.
- ⚡️ **Monetization**: 
  - Free content available to all (viewable on any Nostr client) and zappable
  - Premium content purchasable with Lightning or through a PlebDevs subscription
  - Subscription options:
    - Pay-as-you-go: 50,000 sats - One-time payment for one month of access
    - Recurring: 50,000 sats/month - Automatic renewal via Nostr Wallet Connect
- ⭐️ **Subscription Benefits**:
  - Full access to all paid content
  - 1:1 calendar for tutoring/help
  - Custom PlebDevs.com Lightning Address
  - Custom PlebDevs.com Nostr NIP-05 identity
- 👥 **Community Features**:
  - Nostr-based chat (Read/Write)
  - Discord integration (Read Only)
  - StackerNews ~devs territory integration (Read Only)

## Tech Stack

### Frontend ⚛️
- [Next.js](https://nextjs.org/)
- [Tailwind CSS](https://tailwindcss.com/)
- [PrimeReact](https://primereact.org/)

### Backend 🔧
- [Prisma](https://www.prisma.io/)
- [PostgreSQL](https://www.postgresql.org/)
- [Redis](https://redis.io/)

### Infrastructure ⚙️
- [Vercel](https://vercel.com/)
- [Docker](https://www.docker.com/)
- [Digital Ocean](https://www.digitalocean.com/)

### Bitcoin & Nostr Integration 🔌
- [NDK](https://github.com/nostr-dev-kit/ndk)
- [nostr-tools](https://github.com/nbd-wtf/nostr-tools)
- [Bitcoin-Connect](https://github.com/getAlby/bitcoin-connect)
- [Alby JS SDK](https://github.com/getAlby/js-sdk)
- [ZapThreads](https://github.com/franzaps/zapthreads)
- [Zapper](https://github.com/nostrband/zapper)

## Contributing

Contributions are welcome! Whether you're fixing bugs, improving documentation, or proposing new features, please feel free to open an issue or submit a PR.

## Running Locally

Coming soon?

## License

This project is licensed under the MIT License - see the [LICENSE](LICENSE) file for details.

## Connect with Us 🤝

- 💻 [GitHub](https://github.com/austinkelsay/plebdevs)
- 🐦 [Twitter/X](https://x.com/pleb_devs)
- 🟣 [Nostr](https://nostr.com/plebdevs@plebdevs.com)
- 📺 [YouTube](https://www.youtube.com/@plebdevs)

## Support the Project ⚡️

Lightning Address: plebdevs@plebdevs.com
